The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Syslog Configuration

Prev Next

This URL gets the syslog configuration for firewall notification.

Resource URL

GET /domain/<domain_id>/notification/firewall/syslog

Request Parameters

URL Request Parameters:

Field Name Description Data Type Mandatory
domain_id Domain id Number Yes

Response Parameters

Details of SyslogNotification:

Field Name Description Data Type Mandatory
enableSyslog Enable syslog notification Boolean Yes
parentAndChildDomain Parent and child domain Boolean Yes
serverIp Server IP address String Yes
serverPort Server port Number Yes
facilities Facilities String No
severity Severity String No
Message Message String No

Example

Request

PUT https://<NSM_IP>/sdkapi/domain/0/ notification/firewall/syslog

Response

{
	[
   "enableSyslog": true,
   "parentAndChildDomain": true,
   "serverIp": "1.1.1.2",
   "serverPort": 515,
   "facilities": "CLOCK_DAEMON_NOTE_2",
   "severity”: "EMERGENCY_SYSTEM_UNUSABLE",
   "message": "$IV_ACK_INFORMATION$ $IV_ADMIN_DOMAIN$ $IV_DESCRIPTION$"
       ]
} 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain